<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mspembetulan extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Mpb');
        $this->load->library('form_validation');
        $this->load->library('datatables');
    }

    public function index()
    {
        $this->template->load('template', 'mspembetulan/mspembetulan_list');
    }

    public function json()
    {
        header('Content-Type: application/json');
        echo $this->Mpb->json();
    }



    public function create()
    {
        $data = array(
            'button' => 'Tambah Mspembetulan',
            'action' => site_url('mspembetulan/create_action'),
            'KD_PEMBETULAN' => set_value('KD_PEMBETULAN'),
            'NM_PEMBETULAN' => set_value('NM_PEMBETULAN'),
            'ID' => set_value('ID'),
        );
        $this->template->load('template', 'mspembetulan/mspembetulan_form', $data);
    }

    public function create_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->create();
        } else {
            $data = array(
                'KD_PEMBETULAN' => $this->input->post('KD_PEMBETULAN', TRUE),
                'NM_PEMBETULAN' => $this->input->post('NM_PEMBETULAN', TRUE),
            );

            $this->Mpb->insert($data);
            $this->session->set_flashdata('message', 'Create Record Success');
            redirect(site_url('mspembetulan'));
        }
    }

    public function update($id)
    {
        $row = $this->Mpb->get_by_id($id);

        if ($row) {
            $data = array(
                'button' => 'Update Mspembetulan ',
                'action' => site_url('mspembetulan/update_action'),
                'KD_PEMBETULAN' => set_value('KD_PEMBETULAN', $row->KD_PEMBETULAN),
                'NM_PEMBETULAN' => set_value('NM_PEMBETULAN', $row->NM_PEMBETULAN),
                'ID' => set_value('ID', $row->ID),
            );
            $this->template->load('template', 'mspembetulan/mspembetulan_form', $data);
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('mspembetulan'));
        }
    }

    public function update_action()
    {
        $this->_rules();

        if ($this->form_validation->run() == FALSE) {
            $this->update($this->input->post('ID', TRUE));
        } else {
            $data = array(
                'KD_PEMBETULAN' => $this->input->post('KD_PEMBETULAN', TRUE),
                'NM_PEMBETULAN' => $this->input->post('NM_PEMBETULAN', TRUE),
            );

            $this->Mpb->update($this->input->post('ID', TRUE), $data);
            $this->session->set_flashdata('message', 'Update Record Success');
            redirect(site_url('mspembetulan'));
        }
    }

    public function delete($id)
    {
        $row = $this->Mpb->get_by_id($id);

        if ($row) {
            $this->Mpb->delete($id);
            $this->session->set_flashdata('message', 'Delete Record Success');
            redirect(site_url('mspembetulan'));
        } else {
            $this->session->set_flashdata('message', 'Record Not Found');
            redirect(site_url('mspembetulan'));
        }
    }

    public function _rules()
    {
        $this->form_validation->set_rules('KD_PEMBETULAN', 'kd pembetulan', 'trim|required');
        $this->form_validation->set_rules('NM_PEMBETULAN', 'nm pembetulan', 'trim|required');

        $this->form_validation->set_rules('ID', 'ID', 'trim');
        $this->form_validation->set_error_delimiters('<span class="label label-danger ">', '</span>');
    }
}

/* End of file Mspembetulan.php */
/* Location: ./application/controllers/Mspembetulan.php */
/* Generated by Mohamad Wahyu Dewantoro 2017-04-28 05:34:52 */
